diff -r -u pouillard-pottier-fresh-look-agda-2010/Data/Maybe/Extras.agda pouillard-pottier-fresh-look-agda_WK2010-12-15/Data/Maybe/Extras.agda
--- pouillard-pottier-fresh-look-agda-2010/Data/Maybe/Extras.agda	2010-04-23 09:32:12.000000000 -0400
+++ pouillard-pottier-fresh-look-agda_WK2010-12-15/Data/Maybe/Extras.agda	2010-12-15 09:22:07.000000000 -0500
@@ -1,18 +1,43 @@
 {-# OPTIONS --universe-polymorphism #-}
 module Data.Maybe.Extras where
 
+open import Level
 open import Data.Maybe
 open import Category.Applicative
 open import Relation.Binary.PropositionalEquality using (_≡_;refl)
-open import Function using (_∶_)
+open import Function using (type-signature)
 
 just-injective : ∀ {a} {A : Set a} {x y : A}
-                 → (Maybe A ∶ just x) ≡ just y → x ≡ y
+                 → (type-signature (Maybe A) (just x)) ≡ just y → x ≡ y
 just-injective refl = refl
 
-applicative : RawApplicative Maybe
+applicative : {a : Level} → RawApplicative {a} (Maybe {a})
 applicative = record { pure = just ; _⊛_  = _⊛_ }
   where
     _⊛_ : ∀ {a b}{A : Set a}{B : Set b} → Maybe (A → B) → Maybe A → Maybe B
     just f  ⊛ just x = just (f x)
     _       ⊛ _      = nothing
+
+
+-- WK: |decPESetoid| is |Data.Maybe.decSetoid| from lib-0.3
+open import Function using ( _∘_ )
+open import Relation.Nullary
+open import Relation.Binary
+open import Relation.Binary.PropositionalEquality as PropEq
+  using (_≡_; refl)
+
+
+drop-just′ : {a : Level} {A : Set a} {x y : A} → _≡_ {_} {Maybe {_} _} (just x) (just y) → x ≡ y
+drop-just′ refl = refl
+
+
+decPESetoid : {a : Level} {A : Set a} → Decidable (_≡_ {A = A}) → DecSetoid _ _
+decPESetoid {a} {A} _A-≟_ = PropEq.decSetoid _≟_
+  where
+  _≟_ : Decidable (_≡_ {A = Maybe A})
+  just x  ≟ just y  with x A-≟ y
+  just x  ≟ just .x | yes refl = yes refl
+  just x  ≟ just y  | no  x≢y    = no (x≢y ∘ drop-just′)
+  just x  ≟ nothing = no λ()
+  nothing ≟ just y  = no λ()
+  nothing ≟ nothing = yes refl
diff -r -u pouillard-pottier-fresh-look-agda-2010/Data/Product/Extras.agda pouillard-pottier-fresh-look-agda_WK2010-12-15/Data/Product/Extras.agda
--- pouillard-pottier-fresh-look-agda-2010/Data/Product/Extras.agda	2010-04-23 09:32:12.000000000 -0400
+++ pouillard-pottier-fresh-look-agda_WK2010-12-15/Data/Product/Extras.agda	2010-12-15 14:57:30.000000000 -0500
@@ -2,6 +2,7 @@
 {-# OPTIONS --universe-polymorphism #-}
 module Data.Product.Extras where
 
+open import Function using (type-signature)
 open import Data.Product
 open import Relation.Binary.PropositionalEquality
 open import Relation.Binary
@@ -9,17 +10,23 @@
 open import Function
 open import Function.Injection using (Injection; module Injection)
 
-Σ,-injective₂ : ∀ {A : Set} {P : A → Set} {x : A} {y z : P x} → (Σ A P ∶ (x , y)) ≡ (x , z) → y ≡ z
+Σ,-injective₂ : ∀ {A : Set} {P : A → Set} {x : A} {y z : P x} → ((x , y) ∶ Σ A P) ≡ (x , z) → y ≡ z
 Σ,-injective₂ refl = refl
 
-Σ,-injective₁ : ∀ {A : Set} {P : A → Set} {x₁ x₂ : A} {y₁ : P x₁} {y₂ : P x₂} → (Σ A P ∶ (x₁ , y₁)) ≡ (x₂ , y₂) → x₁ ≡ x₂
+Σ,-injective₁ : ∀ {A : Set} {P : A → Set} {x₁ x₂ : A} {y₁ : P x₁} {y₂ : P x₂} → ((x₁ , y₁) ∶ Σ A P) ≡ (x₂ , y₂) → x₁ ≡ x₂
 Σ,-injective₁ refl = refl
 
+
 proj₁-injective : ∀ {a b} {A : Set a} {B : A → Set b} {x y : Σ A B}
                     (B-uniq : ∀ {z} (p₁ p₂ : B z) → p₁ ≡ p₂)
                   → proj₁ x ≡ proj₁ y → x ≡ y
-proj₁-injective {x = (a , p₁)} {y = (.a , p₂)} B-uniq refl
-  = cong (λ p → (a , p)) (B-uniq p₁ p₂)
+proj₁-injective {B = B} {x = (a₁ , b₁)} {y = (a₂ , b₂)}
+                B-uniq a₁≡a₂ = helper a₁≡a₂
+  where
+  helper : ∀ {a₁ a₂} {b₁ : B a₁} {b₂ : B a₂} →
+           a₁ ≡ a₂ → _,_ {B = B} a₁ b₁ ≡ (a₂ , b₂)
+  helper refl = cong ,_ (B-uniq _ _)
+
 
 ≟Σ : ∀ {A : Set} {P : A → Set}
        (decA : Decidable {A = A} _≡_)
Only in pouillard-pottier-fresh-look-agda_WK2010-12-15: MAlonzo
diff -r -u pouillard-pottier-fresh-look-agda-2010/NotSoFresh/Base.agda pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/Base.agda
--- pouillard-pottier-fresh-look-agda-2010/NotSoFresh/Base.agda	2010-04-23 09:32:12.000000000 -0400
+++ pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/Base.agda	2010-12-13 22:19:21.000000000 -0500
@@ -3,10 +3,10 @@
 import Category.Monad as Cat
 open import Data.Empty using (⊥)
 open import Data.Bool using (Bool)
-open import Data.Maybe using (Maybe;just;nothing;maybe) renaming (monad to maybeMonad)
+open import Data.Maybe using (Maybe;just;nothing;maybe′) renaming (monad to maybeMonad)
 open import Data.Product using (∃;_×_;proj₁;proj₂;_,_)
 open import Data.Sum using (_⊎_ ; inj₁ ; inj₂)
-open import Function using (id;_∘_;_∶_)
+open import Function using (id;_∘_) -- |_∶_|
 open import Relation.Nullary
 open import Relation.Binary
 open import Relation.Binary.PropositionalEquality using (_≡_;_≢_;_≗_)
@@ -89,7 +89,7 @@
 
     import⊆∘export↼ :
       ∀ {α β} {α⊆β : α ⊆ β} {α↼β : α ↼ β} {a : Name β}
-      → maybe id a (import⊆ α⊆β <$> export↼ α↼β a) ≡ a
+      → maybe′ id a (import⊆ α⊆β <$> export↼ α↼β a) ≡ a
 
     ↼-commute-⊆-lem :
       ∀ {α β γ} {α↼γ : α ↼ γ} {α⊆β : α ⊆ β} (a : Name γ) →
diff -r -u pouillard-pottier-fresh-look-agda-2010/NotSoFresh/BiDerived.agda pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/BiDerived.agda
--- pouillard-pottier-fresh-look-agda-2010/NotSoFresh/BiDerived.agda	2010-04-23 09:32:12.000000000 -0400
+++ pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/BiDerived.agda	2010-12-14 22:11:05.000000000 -0500
@@ -180,7 +180,7 @@
                 → Comm₁₂ (Fresh₂×Name₁→F F)
   commθ imp var x (y , f) = (_ , (nextOf y , f') , weakOf y)
     where open FreshPack₂
-          f' = maybe (imp (⊆Of y) ∘ f) (var (nameOf y)) ∘ export↼₁ x
+          f' = maybe′ (imp (⊆Of y) ∘ f) (var (nameOf y)) ∘ export↼₁ x
 
   ×-subst : ∀ {F G H} → Subst F G → Subst F H → Subst F (G |×|₁₂ H)
   ×-subst substG substH θ (x , y) = (substG θ x , substH θ y)
diff -r -u pouillard-pottier-fresh-look-agda-2010/NotSoFresh/Derived.agda pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/Derived.agda
--- pouillard-pottier-fresh-look-agda-2010/NotSoFresh/Derived.agda	2010-04-23 09:32:12.000000000 -0400
+++ pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/Derived.agda	2010-12-14 22:01:11.000000000 -0500
@@ -10,11 +10,12 @@
 open import Relation.Binary
 open import Relation.Binary.Extras
 open import Relation.Binary.PropositionalEquality
-open import Coinduction
+-- open import Coinduction
 open import Function
 open import Data.Bool
 open import Data.Nat using ( ℕ ; suc ; zero ) renaming (_≟_ to _≟ℕ_)
 open import Data.Maybe
+import Data.Maybe.Extras using (decPESetoid)
 open import Data.Product
 open import Data.Empty
 open import Data.Sum using (_⊎_;inj₁;inj₂;[_,_]′)
@@ -67,7 +68,7 @@
 Partial F β α = F β → Maybe (F α)
 
 _≟MaybeName_ : ∀ {α} → Decidable {A = Maybe (Name α)} _≡_
-_≟MaybeName_ = DecSetoid._≟_ (Data.Maybe.decSetoid _≟Name_)
+_≟MaybeName_ = DecSetoid._≟_ (Data.Maybe.Extras.decPESetoid _≟Name_)
 
 -- nameø-elim : ∀ {a} {A : Set a} → Name ø → A
 nameø-elim : ∀ {A : Set} → Name ø → A
@@ -130,6 +131,7 @@
 import↼Fresh : ∀ {α β} → α ↼ β → Fresh α → Fresh β
 import↼Fresh a b = next↼→ a (proj₂ b)
 
+{-
 data FS (α : World) : Set where
   _∷_ : ∀ {β} (x : α ↼→ β) (tl : ∞ (FS β)) → FS α
 
@@ -137,9 +139,9 @@
 freshToFS x = strongOf x ∷ (♯ (freshToFS (nextOf x)))
   where open FreshPack
 
-
 fsø : FS ø
 fsø = freshToFS freshø
+-}
 
 α↼→★ø→α≡ø : ∀ {α} → α ↼→★ ø → α ≡ ø
 α↼→★ø→α≡ø ε = refl
@@ -312,7 +314,7 @@
     Env A α β = Name β → Name α ⊎ A
 
     _,_↦_  : ∀ {α β γ A} → Env A α β → β ↼ γ → A → Env A α γ
-    _,_↦_ Γ x v y = maybe Γ (inj₂ v) (export↼ x y)
+    _,_↦_ Γ x v y = maybe′ Γ (inj₂ v) (export↼ x y)
 
     mapEnv : ∀ {α β A B} → (A → B) → Env A α β → Env B α β
     mapEnv f g x = [ inj₁ , inj₂ ∘ f ]′ (g x)
@@ -330,7 +332,7 @@
     CEnv A α = Name α → A
 
     _,_↦_  : ∀ {α β A} → CEnv A α → α ↼ β → A → CEnv A β
-    _,_↦_ Γ x v y = maybe Γ v (export↼ x y)
+    _,_↦_ Γ x v y = maybe′ Γ v (export↼ x y)
 
 funDCEnv : DCEnvPack
 funDCEnv = record { DCEnv        = DCEnv
@@ -345,7 +347,7 @@
     DCEnv A α = Name α → A
 
     _,_↦_  : ∀ {α β A} → DCEnv A α → α ↼→ β → A → DCEnv A β
-    _,_↦_ Γ x v y = maybe Γ v (export↼ (weaken x) y)
+    _,_↦_ Γ x v y = maybe′ Γ v (export↼ (weaken x) y)
 
 importableFunEnv : ImportableEnvPack
 importableFunEnv = record { envPack = funEnv ; importEnv⊆ = importEnv⊆ }
@@ -599,14 +601,14 @@
                 → Comm (Fresh×Name→F F)
   commθ imp var x (y , f) = (_ , (nextOf y , f') , weakOf y)
     where open FreshPack
-          f' = maybe (imp (⊆Of y) ∘ f) (var (nameOf y)) ∘ export↼ x
+          f' = maybe′ (imp (⊆Of y) ∘ f) (var (nameOf y)) ∘ export↼ x
 
   dcommθ : ∀ {F} → FresheningImport⊆ F → (varF : ∀ {α} → Name α → F α)
                  → DComm (Fresh×Name→F F)
   dcommθ imp var x (y , f) = (_ , (y' , f') , strongOf y)
     where open FreshPack
           y' = nextOf y
-          f' = maybe (imp (⊆Of y) y' ∘ f) (var (nameOf y)) ∘ StrongPack.exportWith x
+          f' = maybe′ (imp (⊆Of y) y' ∘ f) (var (nameOf y)) ∘ StrongPack.exportWith x
 
   ×-subst : ∀ {F G H} → Subst F G → Subst F H → Subst F (G |×| H)
   ×-subst substG substH θ (x , y) = (substG θ x , substH θ y)
diff -r -u pouillard-pottier-fresh-look-agda-2010/NotSoFresh/Examples/Rec.agda pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/Examples/Rec.agda
--- pouillard-pottier-fresh-look-agda-2010/NotSoFresh/Examples/Rec.agda	2010-04-23 09:32:12.000000000 -0400
+++ pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/Examples/Rec.agda	2010-12-14 22:22:38.000000000 -0500
@@ -112,7 +112,7 @@
     app (ƛ Γ x body)  v       = later (♯ eval body (Γ , x ↦ v))
     app (Cst κ)       v       = evalCst κ v
     app ⟨ _ ⟩         _       = diverge
-    app (get ℓ)       ⟨ fs ⟩  = maybe now diverge (select ℓ fs)
+    app (get ℓ)       ⟨ fs ⟩  = maybe′ now diverge (select ℓ fs)
     app (get _)       _       = diverge
     app update⟨ fs ⟩  ⟨ gs ⟩  = now ⟨ merge gs fs ⟩
     app update⟨ _ ⟩   _       = diverge
diff -r -u pouillard-pottier-fresh-look-agda-2010/NotSoFresh/Examples/Term.agda pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/Examples/Term.agda
--- pouillard-pottier-fresh-look-agda-2010/NotSoFresh/Examples/Term.agda	2010-04-23 09:32:12.000000000 -0400
+++ pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/Examples/Term.agda	2010-12-14 22:02:44.000000000 -0500
@@ -282,7 +282,7 @@
 member' x = mem (λ y → ⌊ x ≟Name y ⌋)
   where
     ext : ∀ {α β} → α ↼ β → (Name α → Bool) → (Name β → Bool)
-    ext x Γ y = maybe Γ false (export↼ x y)
+    ext x Γ y = maybe′ Γ false (export↼ x y)
 
     mem : ∀ {α} → (Name α → Bool) → Tm α → Bool
     mem Γ (V y)        = Γ y
diff -r -u pouillard-pottier-fresh-look-agda-2010/NotSoFresh/Lemmas.agda pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/Lemmas.agda
--- pouillard-pottier-fresh-look-agda-2010/NotSoFresh/Lemmas.agda	2010-04-23 09:32:12.000000000 -0400
+++ pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/Lemmas.agda	2010-12-13 18:28:48.000000000 -0500
@@ -7,7 +7,7 @@
 open import Data.Product using (∃;_×_;_,_)
 open import Data.Sum using (_⊎_ ; inj₁ ; inj₂)
 open import Data.Empty using (⊥; ⊥-elim)
-open import Function using (_∘_;_∶_)
+open import Function using (_∘_ ; type-signature)
 open import Relation.Nullary
 open import Relation.Binary
 open import Relation.Binary.PropositionalEquality using (_≡_;_≢_;inspect;_with-≡_;refl;sym;trans;cong;subst;_≗_)
@@ -26,7 +26,7 @@
 export↼' {α} ℓ a with inspect (export↼ ℓ a)
 ... | nothing with-≡ eq = inj₁ (failed-export↼→nameOf↼-≡ eq)
 ... | just a' with-≡ eq with nameOf↼ ℓ ≟Name a
-...      | yes nameOf↼ℓ≡a = ((_ → _) ∶ λ())
+...      | yes nameOf↼ℓ≡a = (type-signature (_ → _) (λ()))
                           (trans (sym eq) (nameOf↼-≡→failed-export↼ nameOf↼ℓ≡a))
 ...      | no  nameOf↼ℓ≢a = inj₂ (nameOf↼ℓ≢a , a')
 
diff -r -u pouillard-pottier-fresh-look-agda-2010/NotSoFresh/Repr/Nominal.agda pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/Repr/Nominal.agda
--- pouillard-pottier-fresh-look-agda-2010/NotSoFresh/Repr/Nominal.agda	2010-04-23 09:32:12.000000000 -0400
+++ pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/Repr/Nominal.agda	2010-12-14 22:09:27.000000000 -0500
@@ -178,8 +178,8 @@
 export↼-injective {α} .{n ⊞ α} {a , p} {b , q} {n , refl} eq
  with a ≟ℕ n | b ≟ℕ n | a ≟ℕ b
 ... | no ¬P  | no ¬Q  | _ = proj₁-injective ∈'-uniq (Σ,-injective₁ (just-injective eq))
-... | no  _  | yes _  | _ = ((_ → _)∶ λ()) eq
-... | yes _  | no  _  | _ = ((_ → _)∶ λ()) eq
+... | no  _  | yes _  | _ = ((λ()) ∶ (_ → _)) eq
+... | yes _  | no  _  | _ = ((λ()) ∶ (_ → _)) eq
 ... | yes P  | yes Q  | no  a≢b = ⊥-elim (a≢b (trans P (sym Q)))
 ... | _      | _      | yes a≡b = proj₁-injective ∈'-uniq a≡b
 
diff -r -u pouillard-pottier-fresh-look-agda-2010/NotSoFresh/SetList.agda pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/SetList.agda
--- pouillard-pottier-fresh-look-agda-2010/NotSoFresh/SetList.agda	2010-04-23 09:32:12.000000000 -0400
+++ pouillard-pottier-fresh-look-agda_WK2010-12-15/NotSoFresh/SetList.agda	2010-12-13 18:32:21.000000000 -0500
@@ -12,7 +12,7 @@
 open Any.Membership-≡
 open ≡-Reasoning
 open import Data.Product
-open import Function using (_∘_;_∶_)
+open import Function using (_∘_ ; type-signature)
 open import Function.Equivalence using (_⇔_;equivalent;id;module Equivalent)
 open import Function.Equality using (_⟨$⟩_) renaming (_∘_ to _∘FE_)
 open import Relation.Binary
@@ -126,12 +126,12 @@
 
 -- not used
 there∈'-inj₁ : ∀ {x y xs} {x≢y x≢y' : x ≢ℕ y} {px px' : x ∈' xs}
-               → (x ∈' y ∷ xs ∶ there x≢y px) ≡ there x≢y' px' → x≢y ≡ x≢y'
+               → (type-signature (x ∈' y ∷ xs) (there x≢y px)) ≡ there x≢y' px' → x≢y ≡ x≢y'
 there∈'-inj₁ refl = refl
 
 -- not used
 there∈'-inj₂ : ∀ {x y xs} {x≢y x≢y' : x ≢ℕ y} {px px' : x ∈' xs}
-               → (x ∈' y ∷ xs ∶ there x≢y px) ≡ there x≢y' px' → px ≡ px'
+               → (type-signature (x ∈' y ∷ xs) (there x≢y px)) ≡ there x≢y' px' → px ≡ px'
 there∈'-inj₂ refl = refl
 
 ∈'-uniq : ∀ {a α} (p q : a ∈' α) → p ≡ q
